version-class {arf3DS4} | R Documentation

## arf3DS4 "version" class

### Description

The "version" class contains information on the version of the arf3DS4 objects. Each arf3DS4 object contains this class.

### Objects

Objects can be created by calls of the form `new("version", ...)`.

### Slots

`version`:

  Version number of the arf3DS4 package.

`build`:

  Build number of the arf3DS4 package.

`update`:

  Update number of the arf3DS4 package.

`svnrev`:

  SVN revision on r-forge.

### Methods

Standard arf3DS4 accessor and replacement functions can be used to access and replace slots.

access

  `.classname.slotname(object)`

replace

  `.classname.slotname(object)<-`

In this case classname is "version" and slotname is for example "snvrev". So to access the "svnrev" slot of an r-object "currentversion" (of class "version") type `.version.svnrev(currentversion)`.

### Note

The "version" class is mainly used for back-compatibility issues.

### Author(s)

Wouter D. Weeda - w.d.weeda@gmail.com

### Examples

    showClass("version")

[Package arf3DS4 version 2.5-10 Index]